Update custom domain
Updates the custom domain configuration.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>application/json- body
id?stringname*stringInsert a name for the custom domain that will be displayed to digital wallet holders when they receive credential offers or verification requests from this tenant.
logoUrl*stringInsert a URL for a square logo that will be displayed to digital wallet holders when they receive credential offers or verification requests from your MATTR VII tenant:
- URL must be publicly available.
- Must be a square image, recommended 64x64 px in size
- png and jpg files are supported.
- The recommended maximum size is 15 KB.
domain*stringInsert the full custom domain, leaving out the protocol (e.g. https://).
Custom Domain updated
application/json- response
name*stringlogoUrl*stringdomain*stringverificationToken*stringThis value must be added to your domain DNS entry TXT record. Refer to Verify domain ownership for more information.
isVerified*booleanverifiedAt?stringIndicates when the custom domain was verified. This field is only included in the response when isVerified is true.
curl -X PUT "https://example.com/v1/config/domain" \ -H "Content-Type: application/json" \ -d '{ "name": "Example Corp", "logoUrl": "https://cdn.example.com/logo.jpg", "domain": "example.com" }'{ "name": "Example Corp", "logoUrl": "https://cdn.example.com/logo.icon", "domain": "example.com", "verificationToken": "8c6f36c1-91ff-439d-a518-48cf7ef421ef", "isVerified": true, "verifiedAt": "2021-04-15T07:37:25.008Z"}How would you rate this page?
Retrieve custom domain GET
Returns your tenant's custom domain configuration and its verification status.
Delete custom domain DELETE
Deletes the custom domain configuration on your tenant. <Callout> Deleting your custom domain configuration breaks the linkage with any credentials issued under the custom domain. These credentials will no longer be valid. </Callout>